{ config, pkgs, inputs, lib, ... }:

{
  programs.hyprpanel = {
    settings = {
      layout = {
        "bar.layouts" = {
          "0" = {
            right = [ "battery" ];
          };
        };
      };
    
      bar = {
        customModules = {
          cava = {
            framerate = lib.mkForce 120;
          };
        };
      };
    };
  };

  wayland.windowManager.hyprland = {
    settings = {
      "monitor" = "eDP-1, 2880x1800@120, 0x0, 1";
    };
  };
}

